NestedNameSupport (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Interface NestedNameSupport

All Superinterfaces:
  NestedPropertySupport, NestedTagSupport

All Known Subinterfaces:
  NestedParentSupport

All Known Implementing Classes:
  NestedCheckboxTag, NestedDefineTag, NestedEmptyTag, NestedEqualTag, NestedFileTag, NestedFormTag, NestedGreaterEqualTag, NestedGreaterThanTag, NestedHiddenTag, NestedImgTag, NestedIterateTag, NestedLessEqualTag, NestedLessThanTag, NestedLinkTag, NestedMatchTag, NestedMessageTag, NestedMultiboxTag, NestedNotEmptyTag, NestedNotEqualTag, NestedNotMatchTag, NestedNotPresentTag, NestedOptionsCollectionTag, NestedOptionsTag, NestedPasswordTag, NestedPresentTag, NestedPropertyTag, NestedRadioTag, NestedRootTag, NestedSelectTag, NestedSizeTag, NestedTextareaTag, NestedTextTag, NestedWriteTag

    public interface NestedNameSupport

extends NestedPropertySupport

This is so that managing classes can tell if a nested tag needs to have its name property set. From what I know, these tags use the property property, and the name is an addition.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2004-10-16 12:38:42 -0400 (Sat, 16 Oct 2004) $

Method Summary
`String` | `getName()` The getters and setters required to set a tags name property.
`void` | `setName(String newNamed)` The setter for the name property

Methods inherited from interface org.apache.struts.taglib.nested.NestedPropertySupport
`getProperty, setProperty`

Method Detail

### getName

    String getName()

  The getters and setters required to set a tags name property.

  Returns:
    String value of the tags' name property

### setName

    void setName(String newNamed)

  The setter for the name property

  Parameters:
    `newNamed` - new String value to set the name property to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.